<!DOCTYPE html>
<html lang="nl">
<head>
<meta charset="utf-8">
<title>Bereken pensioengerechtigde leeftijd</title>
<style>
json-viewer {
    /* Background, font and indentation */
    --background-color: #2a2f3a;
    --color: #f8f8f2;
    --font-family: monaco, Consolas, 'Lucida Console', monospace;
    --font-size: 1rem;
    --indent-size: 1.5em;
    --indentguide-size: 1px;
    --indentguide-style: solid;
    --indentguide-color: #333;
    --indentguide-color-active: #666;
    --indentguide: var(--indentguide-size) var(--indentguide-style) var(--indentguide-color);
    --indentguide-active: var(--indentguide-size) var(--indentguide-style) var(--indentguide-color-active);

    /* Types colors */
    --string-color: #a3eea0;
    --number-color: #d19a66;
    --boolean-color: #4ba7ef;
    --null-color: #df9cf3;
    --property-color: #6fb3d2;

    /* Collapsed node preview */
    --preview-color: rgba(222, 175, 143, 0.9);

    /* Search highlight color */
    --highlight-color: #6fb3d2;
}
label {
    color: #fff;
}
body {
    background: #2a2f3a;
}
</style>
</head>
<body>
<form id="input_form">
    <label for="geboortedatum">Geboortedatum: </label>
    <input type="date" id="geboortedatum" name="geboortedatum" value="1957-05-17"/>
    <label for="vandaag">Vandaag: </label>
    <input type="date" id="vandaag" name="vandaag" value="2024-04-25"/>
    <input type="submit" value="Bereken" />
</form>
<json-viewer id="solution"></json-viewer>
<script src="https://unpkg.com/@alenaksu/json-viewer@2.0.1/dist/json-viewer.bundle.js"></script>
<script>
var calc
import("./dynamic-import.js").then((module) => {
    calc = module.calc
    module.loadingPromise.then(() => {
        geboortedatum = document.getElementById("geboortedatum").value
        vandaag = document.getElementById("vandaag").value
        solutionElement.data = calc({ geboortedatum, vandaag })
        solutionElement.expandAll()
    })
})
const solutionElement = document.getElementById("solution")
document.getElementById("input_form").addEventListener("submit", function (e) {
    e.preventDefault()
    formSubmit(e.target)
})
function formSubmit(form) {
    const formData = new FormData(form);
    const geboortedatum = formData.get("geboortedatum")
    const vandaag = formData.get("vandaag")
    solutionElement.data = calc({ geboortedatum, vandaag })
    solutionElement.expandAll()
}
</script>
</body>
</html>
